/*!
 * @file        MS60F3215_QFN_EVB.h
 *
 * @brief       Header file for Board
 *
 * @version     V1.0.0
 *
 * @date        2023-05-31
 *
 * @attention
 *
 * This firmware is for guidance only and is designed to provide customers with basic chip information support
 *
 * Copyright (c) 2023 sinomcu.com All rights reserved.
 */

/* Define to prevent recursive inclusion */
#ifndef MS60F3215_QFN_EVB_H
#define MS60F3215_QFN_EVB_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include "ms60f3xxx.h"
#include "ms60f3xxx_gpio.h"
#include "ms60f3xxx_uart.h"

/** @addtogroup Board
  @{
*/

/** @addtogroup MS60F3215_QFN_EVB
  @{
*/


/**
  * @}
  */

/** @addtogroup MS60F3215_QFN_EVB_LED
  * @{
  */


#define LED_PIN                 GPIO_PIN11 
#define LED_GPIO_PORT           GPIOB
#define LED_GPIO_CLK            SCU_GPIOB_CLKEN


/**@} end of group MS60F3215_QFN_EVB_LED */

/** @addtogroup MS60F3215_QFN_EVB_BUTTON
  * @{
  */

/**
 * @brief Key push-button
 */
#define KEY_BUTTON_PIN                  GPIO_PIN15
#define KEY_BUTTON_GPIO_PORT            GPIOA
#define KEY_BUTTON_GPIO_CLK             SCU_GPIOA_CLKEN



/**@} end of group MS60F3215_QFN_EVB_BUTTON */

/** @addtogroup MS60F3215_QFN_EVB_COM
  * @{
  */


/**
 * @brief Definition for UART port, connected to UART0
 */
 
#define UART_PORT                        UART0
#define UART_PORT_CLK                    SCU_UART0_CLKEN
#define UART_PORT_RST                    SCU_UART0_RST
#define UART_PORT_TX_PIN                 GPIO_PIN2
#define UART_PORT_TX_GPIO_PORT           GPIOA
#define UART_PORT_TX_GPIO_CLK            SCU_GPIOA_CLKEN
#define UART_PORT_RX_PIN                 GPIO_PIN3
#define UART_PORT_RX_GPIO_PORT           GPIOA
#define UART_PORT_RX_GPIO_CLK            SCU_GPIOA_CLKEN
#define UART_PORT_IRQn                   UART0_IRQn


#ifdef __cplusplus
}
#endif

#endif /* MS60F3215_QFN_EVB_H */

/**@} end of group MS60F3215_QFN_EVB_Functions */
/**@} end of group MS60F3215_QFN_EVB */
/**@} end of group Board */
