/**
  ******************************************************************************
  * @file           : ms60f3xxx_wwdg.h
  * @author         : sinomcu.com-SA
  * @brief          :  Header file of wdg module.
  * @gcc            : toolchain version 5 or 6
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with 
 * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
*/
#ifndef MS60F3XXX_WWDG_H
#define MS60F3XXX_WWDG_H
#ifdef __cplusplus
 extern "C" {
#endif
#include "ms60f3xxx.h"
#define WWDG_FEED_DOG() WWDT->CR=0xFF

typedef enum/**< \brief (WWDG_CR) Watchdog Activation */
{
    WWDT_INT_DISABLE = 0,
    WWDT_INT_ENALBE = 1,
} WWDT_INT_Enum;

typedef enum/**< \brief (WWDG_CFR) Watchdog Timebase */
{
    WWDG_div1 = 0,
    WWDG_div2 = (1 << 8),
    WWDG_div4 = (2 << 8),
    WWDG_div8 = (3 << 8),
    WWDG_div16 = (4 << 8),
    WWDG_div32 = (5 << 8),
    WWDG_div64 = (6 << 8),
    WWDG_div128 = (7 << 8),

} WWDG_DIV_Enum;

void WWDG_Init(WWDG_DIV_Enum div, uint8_t Counter);

void WWDG_ReloadCounter(void);

#ifdef __cplusplus
}
#endif

#endif

