;//-------- <<< Use Configuration Wizard in Context Menu >>> ------------------
; 


; <h> Stack Configuration
;   <o> Stack Size (in Bytes) <0x0-0xFFFFFFFF:8>
; </h>

Stack_Size      EQU     0x00000400

                AREA    STACK, NOINIT, READWRITE, ALIGN=3
Stack_Mem       SPACE   Stack_Size
__initial_sp


; <h> Heap Configuration
;   <o>  Heap Size (in Bytes) <0x0-0xFFFFFFFF:8>
; </h>

Heap_Size       EQU     0x00000400

                AREA    HEAP, NOINIT, READWRITE, ALIGN=3
__heap_base
Heap_Mem        SPACE   Heap_Size
__heap_limit


                PRESERVE8
                THUMB


; Vector Table Mapped to Address 0 at Reset

                AREA    RESET, DATA, READONLY
                EXPORT  __Vectors
                EXPORT  __Vectors_End
                EXPORT  __Vectors_Size

__Vectors       DCD     __initial_sp              ; Top of Stack
                DCD     Reset_Handler             ; Reset Handler
                DCD     NMI_Handler               ; NMI Handler
                DCD     HardFault_Handler         ; Hard Fault Handler
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     SVC_Handler               ; SVCall Handler
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     PendSV_Handler            ; PendSV Handler
                DCD     SysTick_Handler           ; SysTick Handler

                ; External Interrupts
				DCD   CORDIC_Handler          		;  16+ 0:  CORDIC_Handler          
				DCD   PVD_Handler          			;  16+ 1:  PVD_Handler          
				DCD   CLK_Handler         			;  16+ 2:  CLK_Handler          
				DCD   WWDG_Handler        			;  16+ 3:  WWDG_Handler         
				DCD   LPTIMER_Handler        		;  16+ 4:  LPTIMER_Handler          
				DCD   TIM0_0_Handler        	    ;  16+ 5:  TIM0_0_Handler         
				DCD   TIM0_1_Handler        		;  16+ 6:  TIM0_1_Handler          
				DCD   TIM0_2_Handler                ;  16+ 7:  TIM0_2_Handler          
				DCD   TIM1_0_Handler         		;  16+ 8:  TIM1_0_Handler         
				DCD   TIM1_1_Handler         		;  16+ 9:  TIM1_1_Handler       
				DCD   TIM1_2_Handler         		;  16+ 10: TIM1_2_Handler         
				DCD   PWM_Handler         		    ;  16+ 11: PWM_Handler         
				DCD   UART0_Handler         		;  16+ 12: UART0_Handler          
				DCD   UART1_Handler         		;  16+ 13: UART1_Handler           
				DCD   UART2_Handler         		;  16+ 14: UART2_Handler          
				DCD   USART_Handler         		;  16+ 15: USART_Handler          
				DCD   SPI0_Handler          		;  16+ 16: SPI0_Handler           
				DCD   SPI1_Handler          		;  16+ 17: SPI1_Handler        
				DCD   I2C0_Handler   		        ;  16+ 18: I2C0_Handler          
				DCD   I2C1_Handler                  ;  16+ 19: I2C1_Handler            
				DCD   0                     		;  16+ 20: Reserved           				   
				DCD   PLU_Handler         		    ;  16+ 21: PLU_Handler        
				DCD   EXIT0_Handler          		;  16+ 22: EXIT0_Handler        
				DCD   EXIT1_2_Handler          		;  16+ 23: EXIT1_2_Handler					
				DCD   EXIT3_4_Handler          		;  16+ 24: EXIT3_4_Handler        
				DCD   EXIT5_15_Handler        		;  16+ 25: EXIT3_4_Handler          
				DCD   COMP_Handler         		    ;  16+ 26: COMP_Handler          
				DCD   ADC_Handler          		    ;  16+ 27: ADC_Handler                
               
__Vectors_End

__Vectors_Size  EQU     __Vectors_End - __Vectors

                AREA    |.text|, CODE, READONLY


; Reset Handler

Reset_Handler   PROC
                EXPORT  Reset_Handler             [WEAK]
                IMPORT  __main
                LDR     R0, =__main
                BX      R0
                ENDP


; Dummy Exception Handlers (infinite loops which can be modified)

NMI_Handler     PROC
                EXPORT  NMI_Handler               [WEAK]
                B       .
                ENDP
HardFault_Handler\
                PROC
                EXPORT  HardFault_Handler         [WEAK]
                B       .
                ENDP
SVC_Handler     PROC
                EXPORT  SVC_Handler               [WEAK]
                B       .
                ENDP
PendSV_Handler  PROC
                EXPORT  PendSV_Handler            [WEAK]
                B       .
                ENDP
SysTick_Handler PROC
                EXPORT  SysTick_Handler           [WEAK]
                B       .
                ENDP

Default_Handler PROC

				EXPORT   CORDIC_Handler          	[WEAK]          
				EXPORT   PVD_Handler          		[WEAK]           
				EXPORT   CLK_Handler         		[WEAK]           
				EXPORT   WWDG_Handler        		[WEAK]          
				EXPORT   LPTIMER_Handler        	[WEAK]           
				EXPORT   TIM0_0_Handler        		[WEAK]          
				EXPORT   TIM0_1_Handler        		[WEAK]          
				EXPORT   TIM0_2_Handler        		[WEAK]           
				EXPORT   TIM1_0_Handler             [WEAK]            
				EXPORT   TIM1_1_Handler             [WEAK]           
				EXPORT   TIM1_2_Handler             [WEAK]            
				EXPORT   PWM_Handler         		[WEAK]            
				EXPORT   UART0_Handler         		[WEAK]           
				EXPORT   UART1_Handler         		[WEAK]            
				EXPORT   UART2_Handler         		[WEAK]           
				EXPORT   USART_Handler         		[WEAK]           
				EXPORT   SPI0_Handler         		[WEAK]           
				EXPORT   SPI1_Handler         		[WEAK]   
				EXPORT   I2C0_Handler    		    [WEAK]           
				EXPORT   I2C1_Handler               [WEAK]
                EXPORT   PLU_Handler          		[WEAK]    									          				       
				EXPORT   EXIT0_Handler              [WEAK]         
				EXPORT   EXIT1_2_Handler         	[WEAK]        
				EXPORT   EXIT3_4_Handler          	[WEAK]          
				EXPORT   EXIT5_15_Handler           [WEAK]           
				EXPORT   COMP_Handler         		[WEAK] 
                EXPORT   ADC_Handler           		[WEAK]   					   

CORDIC_Handler          		          
PVD_Handler          		           
CLK_Handler         		           
WWDG_Handler 
LPTIMER_Handler
TIM0_0_Handler        		           
TIM0_1_Handler        		          
TIM0_2_Handler        		                		           
TIM1_0_Handler         		            
TIM1_1_Handler         		           
TIM1_2_Handler         		            
PWM_Handler         		                    		                 		           
UART0_Handler         		           
UART1_Handler         		   
UART2_Handler   		           
USART_Handler 
SPI0_Handler       		                   	        
SPI1_Handler 
I2C0_Handler 
I2C1_Handler  
PLU_Handler
EXIT0_Handler
EXIT1_2_Handler 
EXIT3_4_Handler         		           
EXIT5_15_Handler 
COMP_Handler
ADC_Handler        		     
 
                B       .
                ENDP


                ALIGN


; User Initial Stack & Heap

                IF      :DEF:__MICROLIB

                EXPORT  __initial_sp
                EXPORT  __heap_base
                EXPORT  __heap_limit

                ELSE

                IMPORT  __use_two_region_memory
                EXPORT  __user_initial_stackheap
__user_initial_stackheap

                LDR     R0, =  Heap_Mem
                LDR     R1, =(Stack_Mem + Stack_Size)
                LDR     R2, = (Heap_Mem +  Heap_Size)
                LDR     R3, = Stack_Mem
                BX      LR

                ALIGN

                ENDIF


                END
