/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version 5 or 6
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with 
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include "systick.h"

void DAC_init(void);

int	main()
{
    /*set system clock*/
    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_72M, SCU_SYS_Div1);
    delay_init();
    DAC_init();
    while(1)
    {
    }
}

/**
  * @brief  DAC output voltage  PB9 output VDD*1/2
  *
  * @param  None
  * @retval None
  */
void DAC_init(void)
{
    DAC_Init_T dac_init;
    dac_init.dac_ref = DAC_Refsel_VDD;
    dac_init.dac_lign = DAC_RIGHT_LIGN;
    dac_init.dac_ten = ENABLE_TEN;
    dac_init.dac_tsel = DAC_SOFT_SEL;
    dac_init.dac_en = DAC_ENABLE;
    DAC_INIT(DAC0, &dac_init);
    DAC_LOAD(DAC0, 2048); /* PB9 output VDD*1/2 */
}



