/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : main program file.
  * @gcc            : toolchain version 5 or 6
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include  "systick.h"
#include "board.h"



void GPIO_TestInit(void);
#define nvr_addr1 0x900300
uint8_t test_buff[8] = {0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08};
uint32_t test_buff1[8];

int	main()
{

    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_72M, SCU_SYS_Div1);
    delay_init();

    GPIO_TestInit();


    while(1)
    {



        if(GPIO_ReadInputDataBit(KEY_BUTTON_GPIO_PORT, KEY_BUTTON_PIN) == 0)
        {
            delay_ms(150);

            GPIO_SetBits(LED_GPIO_PORT, LED_PIN);
            FLASH_NVR_PROGRAM_Unlock();
            NVR_EraseSector(nvr_addr1);

            FLASH_Program(nvr_addr1, (uint8_t *)&test_buff, 8);
						test_buff1[0]=*(uint32_t *)0x900300;
					  test_buff1[1]=*(uint32_t *)0x900304;
            delay_ms(1000);
            GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);

        }
    }
}



/**
 * @brief    GPIO Init for led and key function
 * @param    None
 * @retval   None
 *
 */
void GPIO_TestInit(void)
{
    SCU_PeriphClockCmd(SCU_GPIOA_CLKEN | SCU_GPIOB_CLKEN, ENABLE);
    GPIO_Init(LED_GPIO_PORT, LED_PIN, GPIO_MODE_OUTPUT_PP);
    GPIO_Init(KEY_BUTTON_GPIO_PORT, KEY_BUTTON_PIN, GPIO_MODE_INPUT_PU);
}



