/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : MAIN module driver.
  * @gcc            : toolchain version 5 or 6
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include "systick.h"
#include "board.h"

void IWDG_TEST(void);

int	main()
{
    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_72M, SCU_SYS_Div1);
    delay_init();
	  SCU_PeriphClockCmd(SCU_GPIOA_CLKEN,ENABLE);
  	GPIO_Init(LED_GPIO_PORT, LED_PIN, GPIO_MODE_OUTPUT_PP);
		GPIO_SetBits(LED_GPIO_PORT, LED_PIN);
	  delay_ms(1000);
    IWDG_TEST();
    while(1)
    {
				GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);	
				delay_ms(1000);
    }
}

/**
  * @brief  IWDG timed reset
  * @param  None
  * @retval None
  */
void IWDG_TEST(void)
{ 
		 IWDG_Init(IWDG_div128,0xFF);
	   IWDG_Start();
}

