/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version   5 or 6
  * This file provides example code for Spi transmit data by dma.
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
 * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include "pwm.h"

#define SEL_HXTAL_PLL_MODE  0
#define SEL_HRC_PLL_MODE    1
#define SEL_HXTAL_MODE      0
#define SEL_HRC_MODE        0

/**
 * @brief     Main program
 * @param     None
 * @retval    int
 */
int	main(void)
{

#if SEL_HXTAL_PLL_MODE
		SCU_SetSysClock(CLK_PLL_USE_HXTAL_LXTAL,HXTAL_8M,HXTAL_LXTAL_TYPE,PLL_48M,SCU_SYS_Div1); //SET HXTAL
#elif SEL_HRC_PLL_MODE
	  SCU_SetSysClock(CLK_PLL_USE_HRC_LRC,HRC_16M,NO_XTAL,PLL_72M,SCU_SYS_Div1);
#elif SEL_HXTAL_MODE
    SCU_SetSysClock(CLK_16M_USE_HXTAL_LRC,HXTAL_12M,HXTAL_TYPE,PLL_48M,SCU_SYS_Div1); //SET HXTAL
#elif SEL_HRC_MODE
	  SCU_SetSysClock(CLK_16M_USE_HRC_LRC,HRC_16M,HXTAL_TYPE,PLL_48M,SCU_SYS_Div1); //SET HRC
#endif

		PWM_AsyncMode_Init();
		
		while (1)
		{			
		}
}


