#include  "bsp_user.h"
#include "board.h"
#include <rtthread.h>
/**
 * @brief        GPIO Init for led and key function
 * @param       None
 * @retval      None
 *
 */
void LED_GPIO_Init(void)
{
    SCU_PeriphClockCmd(SCU_GPIOA_CLKEN | SCU_GPIOB_CLKEN, ENABLE);
    GPIO_Init(LED_GPIO_PORT, LED_PIN, GPIO_MODE_OUTPUT_PP);
}

/**
 * @brief       UART Init
 * @param       None
 * @retval      None
 */
void UART_TestInit(void)
{
    UART_Init_T UART_InitConfig;
    SCU_PeriphClockCmd(UART_PORT_TX_GPIO_CLK | UART_PORT_RX_GPIO_CLK | UART_PORT_CLK, ENABLE);
    SCU_ResetPeriphClock(UART_PORT_RST);

    GPIO_Init(UART_PORT_RX_GPIO_PORT, UART_PORT_RX_PIN, GPIO_MODE_AF);
    GPIO_PinRemapConfig(UART_PORT_RX_GPIO_PORT, UART_PORT_RX_PIN, GPIO_ALT_RX0);
    GPIO_Init(UART_PORT_TX_GPIO_PORT, UART_PORT_TX_PIN, GPIO_MODE_AF);
    GPIO_PinRemapConfig(UART_PORT_TX_GPIO_PORT, UART_PORT_TX_PIN, GPIO_ALT_TX0);
    UART_InitConfig.BaudRate = 115200;
    UART_InitConfig.Parity = UART_PARITY_NO;
    UART_InitConfig.StopBits = UART_STOPBITS_1;
    UART_InitConfig.WordLength = UART_DATA_8_BIT;
    UART_InitConfig.TimeOut = 10;
    UART_Init(UART_PORT, &UART_InitConfig);
}
/**
 * @brief       Rt thread adding rt_ Printf support
 * @param       None
 * @retval      None
 */

void rt_hw_console_output(const char *str)
{
    rt_enter_critical();
    while ( *str != '\0' )
    {
        if ( *str == '\n' )
        {
					UART_Write(UART_PORT, '\r');
					  while(!(UART_PORT->SR & UART_SR_TXRDY ))
					{
						__NOP();
					};
        }
					UART_Write(UART_PORT, *str++);
				  while(!(UART_PORT->SR & UART_SR_TXRDY ))
					{
						__NOP();
					};
    }
		rt_exit_critical();
}





