/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : main program file.
  * @gcc            : toolchain version 5 or 6
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with 
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */  

#include "include.h"
#include "bsp_board.h"

static void led1_thread_entry(void* parameter);
static void led2_thread_entry(void* parameter);

static rt_uint8_t led1_thread_stack[256]; 
static rt_uint8_t led2_thread_stack[256]; 

static struct rt_thread led1_thread;
static struct rt_thread led2_thread;
int main( void )
{
		
    rt_thread_init(&led1_thread, 
							"led1_thread",	
							led1_thread_entry, 	
							RT_NULL, 	
							&led1_thread_stack[0], 	
							sizeof(led1_thread_stack), 	
							4, 	
							20); 	
		rt_thread_startup(&led1_thread);
							
							
		rt_thread_init(&led2_thread, 
							"led2_thread",	
							led2_thread_entry, 	
							RT_NULL, 	
							&led2_thread_stack[0], 	
							sizeof(led2_thread_stack), 	
							5, 	
							20); 	
		rt_thread_startup(&led2_thread);
}
/**
 * @brief       led1_thread_entry
 * @param       None
 * @retval      None
 */
static void led1_thread_entry(void* parameter)
{	
	while (1)
	{
		GPIO_SetBits(LED_GPIO_PORT, LED_PIN);
		rt_thread_delay(500); 
		rt_kprintf("led1_thread \r\n");
		GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);      
		rt_thread_delay(100);  	
		rt_kprintf("led1_thread \r\n"); 		
	}
}
/**
 * @brief       led2_thread_entry
 * @param       None
 * @retval      None
 */
static void led2_thread_entry(void* parameter)
{	
	while (1)
	{
		GPIO_SetBits(LED_GPIO_PORT, LED_PIN);
		rt_thread_delay(500); 
		rt_kprintf("led2_thread \r\n");
		GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);      
		rt_thread_delay(500);  	
		rt_kprintf("led2_thread \r\n"); 		
	}
}




