/**
  ******************************************************************************
  * @file           : merops_it.c
  * @author         : sinomcu.com-SA
  * @brief          : Interrupt Service Routines.
  * @gcc            : toolchain version 5 or 6
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with 
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "ms60f3xxx.h"  
#include "ms60f3xxx_tim.h" 
#include "ms60f3xxx_gpio.h"	
#include "systick.h"
#include "Board.h"

uint32_t system_tick = 0;
/**
 * @brief   This function handles NMI exception
 * @param   None
 * @retval  None
 */	
void NMI_Handler(void)
{
	while(1)
	{		
	}
}

/**
 * @brief   This function handles Hard Fault exception
 * @param   None
 * @retval  None
 */
void HardFault_Handler(void)
{
	/* Go to infinite loop when Hard Fault exception occurs */
	while(1)
	{		
	}
}

/**
 * @brief   This function handles SVCall exception
 * @param   None
 * @retval  None
 */
void SVC_Handler(void)
{
}

/**
 * @brief   This function handles SVCall exception
 * @param   None
 * @retval  None
 */
void PendSV_Handler(void)
{
}

/**
 * @brief   This function handles SysTick Handler
 * @param   None
 * @retval  None
 */
void SysTick_Handler(void)
{
	  system_tick++;
    TimingDelay_Decrement();
}

/**
 * @brief   This function handles CORDIC Handler
 * @param   None
 * @retval  None
 */
void CORDIC_Handler(void)
{
}

/**
 * @brief   This function handles PVD Handler
 * @param   None
 * @retval  None
 */
void PVD_Handler(void)
{
}
/**
 * @brief   This function handles CLK Handler
 * @param   None
 * @retval  None
 */	
void CLK_Handler(void)
{
}

/**
 * @brief   This function handles WWDG Handler
 * @param   None
 * @retval  None
 */	
void WWDG_Handler(void)
{
}

/**
 * @brief   This function handles Lptimer Handler
 * @param   None
 * @retval  None
 */
void LPTIMER_Handler(void)
{
}

/**
 * @brief   This function handles TIM0_0 Handler
 * @param   None
 * @retval  None
 */
void TIM0_0_Handler(void)
{
}

/**
 * @brief   This function handles TIM0_1 Handler
 * @param   None
 * @retval  None
 */
void TIM0_1_Handler(void)
{
}

/**
 * @brief   This function handles TIM0_2 Handler
 * @param   None
 * @retval  None
 */
void TIM0_2_Handler(void)
{
}

/**
 * @brief   This function handles TIM1_0 Handler
 * @param   None
 * @retval  None
 */
void TIM1_0_Handler(void)
{
}

/**
 * @brief   This function handles TIM1_1 Handler
 * @param   None
 * @retval  None
 */
void TIM1_1_Handler(void)
{
	  uint32_t ul_sr_status  = TIM_Get_Status(TIM1,TIM_CHANNEL1);
		if((ul_sr_status & TIM_SR_CPCS) == TIM_SR_CPCS)
		{
			  GPIO_Toggle(LED_GPIO_PORT,LED_PIN);
		}	
}

/**
 * @brief   This function handles TIM1_2 Handler
 * @param   None
 * @retval  None
 */
void TIM1_2_Handler(void)
{
}

/**
 * @brief   This function handles PWM Handler
 * @param   None
 * @retval  None
 */
void PWM_Handler(void)
{
}

/**
 * @brief   This function handles UART0 Handler
 * @param   None
 * @retval  None
 */
void UART0_Handler(void)
{
}

/**
 * @brief   This function handles UART1 Handler
 * @param   None
 * @retval  None
 */
void UART1_Handler(void)
{
}

/**
 * @brief   This function handles UART2 Handler
 * @param   None
 * @retval  None
 */
void UART2_Handler(void)
{
}

/**
 * @brief   This function handles USART Handler
 * @param   None
 * @retval  None
 */
void USART_Handler(void)
{	 
}

/**
 * @brief   This function handles SPI0 Handler
 * @param   None
 * @retval  None
 */
void SPI0_Handler(void)
{
}

/**
 * @brief   This function handles SPI1 Handler
 * @param   None
 * @retval  None
 */
void SPI1_Handler(void)
{
}

/**
 * @brief   This function handles I2C0 Handler
 * @param   None
 * @retval  None
 *
 */
void I2C0_Handler(void)
{
}

/**
 * @brief   This function handles I2C1 Handler
 * @param   None
 * @retval  None
 */
void I2C1_Handler(void)
{
}

/**
 * @brief   This function handles CRC Handler
 * @param   None
 * @retval  None
 */
void CRC_Handler(void)
{
}

/**
 * @brief   This function handles PLU Handler
 * @param   None
 * @retval  None
 */
void PLU_Handler(void)
{
}

/**
 * @brief   This function handles EXIT0 Handler
 * @param   None
 * @retval  None
 */
void EXIT0_Handler(void)
{
}

/**
 * @brief   This function handles EXIT1_2 Handler
 * @param   None
 * @retval  None
 */
void EXIT1_2_Handler(void)
{
}

/**
 * @brief   This function handles EXIT3_4 Handler
 * @param   None
 * @retval  None
 */
void EXIT3_4_Handler(void)
{
}

/**
 * @brief   This function handles EXIT5_15 Handler
 * @param   None
 * @retval  None
 */
void EXIT5_15_Handler(void)
{
}

/**
 * @brief   This function handles COMP Handler
 * @param   None
 * @retval  None
 */
void COMP_Handler(void)
{
}

/**
 * @brief   This function handles ADC Handler
 * @param   None
 * @retval  None
 */
void ADC_Handler(void)
{
}

/**
 * @brief   This function handles DAC0 Handler
 * @param   None
 * @retval  None
 */
void DAC0_Handler(void)
{
}

/**
 * @brief   This function handles DAC1 Handler
 * @param   None
 * @retval  None
 */
void DAC1_Handler(void)
{
}

/**
 * @brief   This function handles DAC2 Handler
 * @param   None
 * @retval  None
 */
void DAC2_Handler(void)
{
}

/**
 * @brief   This function handles DAC3 Handler
 * @param   None
 * @retval  None
 */
void DAC3_Handler(void)
{
}	

