/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version   5
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with basic chip information support
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "ms60f3xxx_gpio.h"
#include "ms60f3xxx_scu.h"
#include "ms60f3xxx.h"
#include "systick.h"
#include <stdio.h>
#include "ms60f3xxx_uart.h"
#include "board.h"
#include "ms60f3xxx_adc.h"

#pragma pack(1)

#define UARTBUF_LENGTH 100
uint8_t mean_value=9 ;            //ȡֵ

uint16_t temperature[10];         //¶黺ռ

uint16_t adc_buffer[8];
uint16_t average_temprature[10];  //¶Ⱦֵ黺ռ
uint16_t caculate1_temp[10];      //¶ȼ黺ռ

uint8_t offset = 15;              //ƫֵ
int16_t K = -234;                 //бʣͨȡ¶ȵãΪ߼Чʼȣkֵ100 y=-2.34*x+819
uint16_t b = 819;                 //¶߳
void ADC_SIG_init(void);
void UART_PInit(void);

int	main()
{
    int16_t temp;
    int32_t temp1;
    int16_t cal_temp;
    uint32_t temp01;

    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_72M, SCU_SYS_Div1);
    SCU_PeriphClockCmd(KEY_BUTTON_GPIO_CLK, ENABLE);                     //ذIOʱӳʼ
    GPIO_Init(KEY_BUTTON_GPIO_PORT, KEY_BUTTON_PIN, GPIO_MODE_INPUT_PD); //ذIOģʽʼ
    UART_PInit();
    ADC_SIG_init();

    while (1)
    {
        if(!GPIO_ReadInputDataBit(KEY_BUTTON_GPIO_PORT, KEY_BUTTON_PIN))
        {
            while(!GPIO_ReadInputDataBit(KEY_BUTTON_GPIO_PORT, KEY_BUTTON_PIN))
						{ ; }

            temp01 = caculate1_temp[0];         //ȡ¶
            temp01 *= 24;                       //οԴΪ2.4v,ת3.3vת2.4vѡ3.3vΪοԴʱ轫24Ϊ33
            temp01 /= 33;                       //οԴΪ2.4v,ת3.3vת2.4vѡ3.3vΪοԴʱ轫33Ϊ24
            temp01 -= offset;                   //ƫֵʵʲֵݲֵ
            cal_temp = (s16)temp01;
            temp = cal_temp - b;                //ݲ빫ʽ
            temp1 = 10000 * temp / K;           //¶ֵŴ100ǰ湫ʽKֵ100K10000
            temp = (s16)temp1;
            temp = temp / 100;                  //ȡ¶ȵֵ
            cal_temp -= -temp * 15 / 100 + 5;   //¶Ȳ
            temp = cal_temp - b;                //ιʽ
            temp1 = 10000 * temp / K;
            temp = (s16)temp1;

            if(temp < 0)
                temp -= 100;

            temp1 = temp;
            temp1 *= 100;                       // У׼VREFʵֵУοѹƫ
            temp1 /= 98;
            temp = temp1;
            printf("current temp:%d.%d\n", temp / 100, temp % 100);
        }
    }
}

/**
 * @brief       UART Init
 * @param       None
 * @retval      None
 */
void UART_PInit(void)
{
    UART_Init_T UART_InitConfig;
    SCU_PeriphClockCmd(UART_PORT_CLK | UART_PORT_TX_GPIO_CLK | UART_PORT_RX_GPIO_CLK, ENABLE);
    SCU_ResetPeriphClock(UART_PORT_RST);
    GPIO_Init(UART_PORT_RX_GPIO_PORT, UART_PORT_RX_PIN, GPIO_MODE_AF);
    GPIO_PinRemapConfig(UART_PORT_RX_GPIO_PORT, UART_PORT_RX_PIN, GPIO_ALT_RX0);
    GPIO_Init(UART_PORT_TX_GPIO_PORT, UART_PORT_TX_PIN, GPIO_MODE_AF);
    GPIO_PinRemapConfig(UART_PORT_TX_GPIO_PORT, UART_PORT_TX_PIN, GPIO_ALT_TX0);
	
    UART_InitConfig.BaudRate     = 115200;
    UART_InitConfig.Parity       = UART_PARITY_NO;
    UART_InitConfig.StopBits     = UART_STOPBITS_1;
    UART_InitConfig.WordLength   = UART_DATA_8_BIT;
    UART_InitConfig.OverSampling = UART_OVERSAMPLING_8;
    UART_InitConfig.TimeOut      = 10;
    UART_Init(UART_PORT, &UART_InitConfig);

    UART_Enable_IT(UART_PORT, UART_IER_TIMEOUT);
    NVIC_EnableIRQ(UART0_IRQn);
}
/**
 * @brief       ADC_SIG_init
 * @param       None
 * @retval      None
 */

void ADC_SIG_init(void)
{
    ADC_Init_T 			adc_init;
    SCU_PeriphClockCmd(SCU_ADC_CLKEN | SCU_ADC_CORE_CLKEN, ENABLE);
    adc_init.ADC_Resolution = ADC_RESOLUTION_12B; 			/*resolution ratio*/
    adc_init.ADC_ScanConvMode = ADC_SCAN_ENALBE; 			  /*SCAN*/
    adc_init.ADC_ContinuousConvMode = ADC_CONTINUE;			/*Continuous mode*/
    adc_init.ADC_DataAlign = ADC_DataAlign_Right; 			/*Data alignment*/
    adc_init.ADC_Mode = ADC_SINGLE_MOD; 								/*Single ended mode*/
    adc_init.ADC_Prescaler = ADC_CLK_Div6; 							/*ADC system frequency division*/
    adc_init.ADC_DMAAccessMode = ADC_DMA_ENABLE_16BIT; 	/*DMA*/
    adc_init.ADC_CLK_SEL = ADC_BUS_CLK_SEL; 						/*ADC clock selection*/
    ADC_Init(ADC, &adc_init);
    ADC_RegularNbrOfChannel(ADC_SQLNUM_2CH);						/*Set the number of ADC conversion channels*/
    ADC_RegularOddChannelConfig(ADC, ADC_TPS0_CHNNEL, 0, ADC_SampleTime_128Cycles);/*Set ADC conversion channel sampling time*/
    ADC_VREF_OUT(ADC_VREF_OUT_2v4_TPS, ADC_VREF_SEL);		/*ADC vref selection*/

    ADC_DMA_Configure(4, adc_buffer); 									/*DMA  configuration */

    ADC_Enable_IT(ADC, ADC_IER_ENDRX); 						      /*Set ADC interrupt enable*/
    ADC_DMACmd(ADC, ENABLE); 														/*Enable DMA*/
    NVIC_EnableIRQ(ADC_IRQn);
    ADC_Cmd(ADC, ENABLE);	                              /*Enable ADC*/

    ADC_ExternalTrigConv(ADC_REGULAR_SOFTWARE_TRIGER); 	/*Set ADC trigger method*/
}
