/**
  ******************************************************************************
  * @file           : ms60f3xxx_it.c
  * @author         : sinomcu.com-SA
  * @brief          : Interrupt Service Routines.
  * @gcc            : toolchain version 5 or 6
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */

#include "ms60f3xxx.h"
#include "systick.h"
#include "ms60f3xxx_adc.h"
#include "ms60f3xxx_uart.h"
/**
 * @brief   This function handles NMI exception
 * @param   None
 * @retval  None
 */
void NMI_Handler(void)
{
    while(1)
    {
    }
}

/**
 * @brief   This function handles Hard Fault exception
 * @param   None
 * @retval  None
 */
void HardFault_Handler(void)
{
    /* Go to infinite loop when Hard Fault exception occurs */
    while(1)
    {
    }
}

/**
 * @brief   This function handles SVCall exception
 * @param   None
 * @retval  None
 */
void SVC_Handler(void)
{
}

/**
 * @brief   This function handles SVCall exception
 * @param   None
 * @retval  None
 */
void PendSV_Handler(void)
{
}

/**
 * @brief   This function handles SPI0 exception
 * @param   None
 * @retval  None
 */
void SPI0_Handler(void)
{
}
/**
 * @brief   This function handles SPI1 exception
 * @param   None
 * @retval  None
 */
void SPI1_Handler(void)
{
}

/**
 * @brief   This function handles SysTick Handler
 * @param   None
 * @retval  None
 */
void SysTick_Handler(void)
{

    TimingDelay_Decrement();
}

/**
 * @brief   This function handles CORDIC Handler
 * @param   None
 * @retval  None
 */
void CORDIC_Handler(void)
{
}

/**
 * @brief   This function handles PVD Handler
 * @param   None
 * @retval  None
 */
void PVD_Handler(void)
{
}
/**
 * @brief   This function handles CLK Handler
 * @param   None
 * @retval  None
 */
void CLK_Handler(void)
{
}

/**
 * @brief   This function handles WWDG Handler
 * @param   None
 * @retval  None
 */
void WWDG_Handler(void)
{
}

/**
 * @brief   This function handles Lptimer Handler
 * @param   None
 * @retval  None
 */
void LPTIMER_Handler(void)
{
}

/**
 * @brief   This function handles TIM0_0 Handler
 * @param   None
 * @retval  None
 */
void TIM0_0_Handler(void)
{
}

/**
 * @brief   This function handles TIM0_1 Handler
 * @param   None
 * @retval  None
 */
void TIM0_1_Handler(void)
{
}

/**
 * @brief   This function handles TIM0_2 Handler
 * @param   None
 * @retval  None
 */
void TIM0_2_Handler(void)
{
}

/**
 * @brief   This function handles TIM1_0 Handler
 * @param   None
 * @retval  None
 */
void TIM1_0_Handler(void)
{
}

/**
 * @brief   This function handles TIM1_1 Handler
 * @param   None
 * @retval  None
 */
void TIM1_1_Handler(void)
{
}

/**
 * @brief   This function handles TIM1_2 Handler
 * @param   None
 * @retval  None
 */
void TIM1_2_Handler(void)
{
}

/**
 * @brief   This function handles PWM Handler
 * @param   None
 * @retval  None
 */
void PWM_Handler(void)
{
}

/**
 * @brief   This function handles UART0 Handler
 * @param   None
 * @retval  None
 */

void UART0_Handler(void)
{
    if ((UART0->SR & UART_SR_ENDTX) != 0)
    {
        UART0->PTCR = UART_PTCR_TXTDIS;
        UART0->IDR = UART_SR_ENDTX;
    }

}

/**
 * @brief   This function handles UART1 Handler
 * @param   None
 * @retval  None
 */
void UART1_Handler(void)
{
}

/**
 * @brief   This function handles UART2 Handler
 * @param   None
 * @retval  None
 */
void UART2_Handler(void)
{
}

/**
 * @brief   This function handles USART Handler
 * @param   None
 * @retval  None
 */
void USART_Handler(void)
{
}

/**
 * @brief   This function handles I2C0 Handler
 * @param   None
 * @retval  None
 *
 */
void I2C0_Handler(void)
{
}

/**
 * @brief   This function handles I2C1 Handler
 * @param   None
 * @retval  None
 */
void I2C1_Handler(void)
{
}

/**
 * @brief   This function handles PLU Handler
 * @param   None
 * @retval  None
 */
void PLU_Handler(void)
{
}

/**
 * @brief   This function handles EXIT0 Handler
 * @param   None
 * @retval  None
 */
void EXIT0_Handler(void)
{
}

/**
 * @brief   This function handles EXIT1_2 Handler
 * @param   None
 * @retval  None
 */
void EXIT1_2_Handler(void)
{
}

/**
 * @brief   This function handles EXIT3_4 Handler
 * @param   None
 * @retval  None
 */
void EXIT3_4_Handler(void)
{
}

/**
 * @brief   This function handles EXIT5_15 Handler
 * @param   None
 * @retval  None
 */
void EXIT5_15_Handler(void)
{
}

/**
 * @brief   This function handles COMP Handler
 * @param   None
 * @retval  None
 */
void COMP_Handler(void)
{
}

/**
 * @brief   This function handles ADC Handler
 * @param   None
 * @retval  None
 */
extern uint16_t temperature[10];       //¶黺ռ
extern uint16_t temperature1[10];      //¶黺ռ
extern uint16_t adc_buffer[8];
extern uint16_t average_temprature[10];//¶Ⱦֵ黺ռ
extern uint16_t caculate1_temp[10];    //¶ȼ黺ռ
extern uint8_t mean_value;             //ȡֵ
void ADC_Handler(void)
{
    static uint8_t adc_counter2 = 0;
    static uint8_t adc_counter = 0;
    static uint8_t adc_counter1 = 0;
    static uint16_t max = 0;
    static uint16_t min = 0xFFFF;
    ADC_ClearFlag(ADC, ADC_CLEAR_SR_ENDRX);
    ADC_DMA_Configure(4, adc_buffer);
    ADC_ExternalTrigConv(ADC_REGULAR_SOFTWARE_TRIGER);
    temperature[adc_counter] = (adc_buffer[0] + adc_buffer[1] + adc_buffer[2] + adc_buffer[3]) >> 2;
    adc_counter++;

    if(adc_counter > mean_value)
    {
        uint8_t j;
        uint16_t sum = 0;
        max = 0;
        min = 0xffff;

        for(j = 0; j <= mean_value; j++)
        {
            sum += temperature[j];

            if(temperature[j] > max)
                max = temperature[j];

            if(temperature[j] < min)
                min = temperature[j];
        }

        average_temprature[adc_counter1] = ((sum - max - min) >> 3);
        adc_counter1++;
        adc_counter = 0;
    }

    if(adc_counter1 > mean_value)
    {
        uint8_t j;
        uint16_t sum = 0;
        max = 0;
        min = 0xffff;

        for(j = 0; j <= mean_value; j++)
        {

            sum += average_temprature[j];

            if(average_temprature[j] > max)
                max = average_temprature[j];

            if(average_temprature[j] < min)
                min = average_temprature[j];

            caculate1_temp[adc_counter2] = ((sum - max - min) >> 3);
        }
        adc_counter1 = 0;
    }
}

