/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version 5 or 6
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include "systick.h"
#include "uart.h" 
#include "Board.h"

/**
 * @brief       main funciton
 * @param       None
 * @retval      None
 */
int	main()
{
    /*System CLK Config*/
    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_72M, SCU_SYS_Div1);

    UART_TestInit();


   
    while(1)
    {
        if(g_UartRx.flag)
        {
            UART_DMASend(UART0, g_UartRx.buf, g_UartRx.index);
            g_UartRx.flag = 0;
        }

   
    }
}

