#include "include.h"
#include "usart_lin.h"

LIN_Message_T MasterSend = {0};
LIN_Message_T MasterReceived = { 0 };

LIN_Message_T SlaveSend = { 0 };
LIN_Message_T SlaveReceived = { 0 };
 
/**
 * @brief   USART LIN Initialization Function
 * @param   none
 * @retval  none
 */
void USART_LIN_SlaveInit(void)
{	
		SCU_PeriphClockCmd(SCU_GPIOB_CLKEN | SCU_GPIOD_CLKEN | SCU_USART_CLKEN,ENABLE);
		
		GPIO_Init(GPIOB, GPIO_PIN4,GPIO_MODE_AF);         //RX,PB4
		GPIO_PinRemapConfig(GPIOB, GPIO_PIN6,GPIO_ALT_USART);
		GPIO_Init(GPIOB, GPIO_PIN6,GPIO_MODE_AF);        //TX,PB6
		GPIO_PinRemapConfig(GPIOB, GPIO_PIN6,GPIO_ALT_USART);	

		SCU_ResetPeriphClock(SCU_USART_RST);
		
		USART_InitLinSlave(USART,9600,SCU_Get_frequecny());
		USART_LinEnableChecksum(USART);         /* Enable hardware checksum */
		USART_LinSetChecksumType(USART,1);      /* 0 for LIN 2.0 Enhanced checksum or 1 for LIN 1.3 Classic checksum */
		
		USART_LinSetDataLenMode(USART,0);
		USART_LinEnableFrameSlot(USART);
		USART_LinSetResponseDataLen(USART,8);   /* Data length 8+1 byte */
		USART_LinSetNodeAction(USART,1);        /* 0 for publish, 1 for subscribe, 2 for ignore */
		
		USART_DMA_Receive(USART,&SlaveReceived.Rx_Data[0],USART_MAX_LEN);
		USART_SetRxTimeout(USART,100);
		
		USART_Enable_IT(USART,USART_IER_TIMEOUT);
		NVIC_EnableIRQ(USART_IRQn);
}
