/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version   5 or 6
  * This file provides example code for Spi transmit data by dma.
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include  "systick.h"
#include "Board.h"

/**
  * @brief  WWDG timed reset
  *
  * @param  None
  * @retval None
  */

int	main()
{
    SCU_SetSysClock(CLK_PLL_USE_HRC_LRC, HRC_16M, NO_XTAL, PLL_72M, SCU_SYS_Div1);
    delay_init();
    SCU_PeriphClockCmd(LED_GPIO_CLK | SCU_WWDG_CLKEN, ENABLE);
    GPIO_Init(LED_GPIO_PORT, LED_PIN, GPIO_MODE_OUTPUT_PP);
    GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);

    WWDG_Init(WWDG_div128, 0xFF);

    while(1)
    {
        GPIO_SetBits(LED_GPIO_PORT, LED_PIN);
        //WWDG_ReloadCounter();/*feed dog or will reset every 466ms*/
    }
}

