/**
  ******************************************************************************
  * @file           : main.c
  * @author         : sinomcu.com-SA
  * @brief          : Main program body
  * @gcc            : toolchain version   5 or 6
  *
  ******************************************************************************
  * @attention
  *                           DISCLAIMER
  * This firmware is for guidance only and is designed to provide customers with
  * basic chip information support.
  *
  * Copyright (c) 2023 sinomcu.com All rights reserved.
  *
  ******************************************************************************
  */
#include "include.h"
#include "systick.h" 
#include "tim_trg.h"
#include "Board.h"

#define SEL_HXTAL_PLL_MODE  0
#define SEL_HRC_PLL_MODE    1
#define SEL_HXTAL_MODE      0
#define SEL_HRC_MODE        0

/**
 * @brief     Main program
 * @param     None
 * @retval    int
 */
int	main(void)
{

#if SEL_HXTAL_PLL_MODE
		SCU_SetSysClock(CLK_PLL_USE_HXTAL_LXTAL,HXTAL_8M,HXTAL_LXTAL_TYPE,PLL_48M,SCU_SYS_Div1); 
#elif SEL_HRC_PLL_MODE
	  SCU_SetSysClock(CLK_PLL_USE_HRC_LRC,HRC_16M,NO_XTAL,PLL_72M,SCU_SYS_Div1);
#elif SEL_HXTAL_MODE
    SCU_SetSysClock(CLK_16M_USE_HXTAL_LRC,HXTAL_12M,HXTAL_TYPE,PLL_48M,SCU_SYS_Div1); 
#elif SEL_HRC_MODE
	  SCU_SetSysClock(CLK_16M_USE_HRC_LRC,HRC_16M,NO_XTAL,PLL_48M,SCU_SYS_Div1); 
#endif

		SCU_PeriphClockCmd(LED_GPIO_CLK,ENABLE);
		GPIO_Init(LED_GPIO_PORT,LED_PIN,GPIO_MODE_OUTPUT_PP);
		GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);
	
		GPIO_Init(GPIOB, GPIO_PIN1,GPIO_MODE_AF);              /* TCLK1 PB1 */
		GPIO_PinRemapConfig(GPIOB, GPIO_PIN1,GPIO_ALT_TIM1);
	
    TIM_RC_Counter_Init( TIM1,TIM_CHANNEL1);
		while (1)
		{
		}
}


